! Bu program açıklamalar, boşluklar ve gun 12 ay verisi şeklinde devam eden peşpeşe yıllar ve
! farklı istasyon verilerini okuyup istenilen yillarin verileri yazmak için yazılmıştır. Hüseyin Toros 3.2.2008
program verisuz
   character(len=50)::istadi,s1,s2,s3
   integer::i,j,istno,yil,ios
   open(unit=1,file="gunortsi.out",status="old",action="read")
   open(unit=2,file="gunortsi.dat",status="unknown",action="write")
   print*,"Lütfen Bekleyiniz"


do 
   read(unit=1,fmt="(a8,2i7,a,a)",iostat=ios)istadi,istno,yil,s1,s2
   if (ios<0) then
        exit
    end if     
   if (yil<1965 .or. yil>2006) then 
       cycle
      else
        write(unit=2,fmt="(a8,2i7,a,a)")istadi,istno,yil,s1,s2   
   end if 

end do
close (unit=1)
close (unit=2)
end program verisuz
